summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authortiborb2016-06-07 22:24:28 +0200
committertiborb2016-06-07 22:24:28 +0200
commit0e85f34bd1ce74b2ae459bebb6c53d85fa675f23 (patch)
treedba8a1f3e109ff25b811ae1c294886957a5402a3
downloadaur-0e85f34bd1ce74b2ae459bebb6c53d85fa675f23.tar.gz
first commit
-rw-r--r--.SRCINFO12
-rw-r--r--PKGBUILD40
2 files changed, 52 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..066d7df42a1
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,12 @@
+pkgbase = gimp-plugin-satequalizer
+ pkgdesc = Saturation equalizer. 6-bands equalizer, brightness adjustment, auto white calibration and more.
+ pkgver = 0.9.2
+ pkgrel = 1
+ url = http://code.google.com/p/satequalizer/
+ arch = i686
+ arch = x86_64
+ license = GPL-3
+ depends = gimp
+
+pkgname = gimp-plugin-satequalizer
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..ab6f6a0bc01
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,40 @@
+# Contributor: Tibor Bamhor <tiborb95 at gmail.com>
+
+pkgname=gimp-plugin-satequalizer
+pkgver=0.9.2
+pkgrel=1
+pkgdesc="Saturation equalizer. 6-bands equalizer, brightness adjustment, auto white calibration and more."
+url="http://code.google.com/p/satequalizer/"
+license=('GPL-3')
+arch=('i686' 'x86_64')
+depends=(gimp)
+#makedepends=()
+source=()
+
+
+
+build() {
+
+ #defining variables
+ work_dir=$srcdir/satequalizer/
+ cd $srcdir
+ test -d satequalizer || mkdir satequalizer
+ cd $work_dir || exit 1
+
+ git clone --branch v${pkgver} https://github.com/tibor95/gimp-plugin-satequalizer.git .
+
+ #to fix problem: undefined reference to symbol 'pow@@GLIBC_2.0'
+ export LDFLAGS="$LDFLAGS -lm"
+
+ #compiling
+ gimptool-2.0 --build saturate.c || exit 1
+ }
+
+package() {
+ #copying compiled binary into pkgdir to be packed
+ mkdir -p ${pkgdir}/usr/lib/gimp/2.0/plug-ins/
+ install -m 755 ${srcdir}/satequalizer/saturate ${pkgdir}/usr/lib/gimp/2.0/plug-ins/
+
+ }
+
+sha1sums=()